Project ID.
- Get items list by specified group
Digital Distribution Hub (1.0.0)
Digital Distribution Hub is a new Xsolla solution that aims to connect digital and cash based payments via push payments technology and e-commerce.
This reference combines API endpoints for two Xsolla products: In-Game Store and Pay Station. There are two base URLs:
https://store.xsolla.com/apifor the Common, Catalog, Cart, and Order groups.https://ps.xsolla.comfor the Notifications group.
API endpoints in the Catalog group don’t require authorization.
To work with operations in the Cart and Order groups, you need to generate a token via Create user token.
This reference shows a design of a future API and not a fully functioning interface. Currently, you can try only Catalog and Notifications groups endpoints. If you’d like to share your feedback, please email us at techdoc@xsolla.com.
Request
Gets a virtual currency packages list for building a catalog.
Number of the element from which the list is generated (the count starts from 0).
The list of additional fields. These fields will be in the response if you send them in your request. Available fields media_list, order, long_description.
Country to calculate regional prices and restrictions for catalog. Two-letter uppercase country code per ISO 3166-1 alpha-2. If you do not specify the country explicitly, it will be calculated based on user's IP address.
- https://store.xsolla.com/api/v2/project/{project_id}/items/virtual_currency/package
- Mock serverhttps://xsolla.redocly.app/_mock/api/digital-distribution-hub/v2/project/{project_id}/items/virtual_currency/package
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://store.xsolla.com/api/v2/project/44056/items/virtual_currency/package?limit=50&offset=0&locale=en&additional_fields%5B%5D=string&country=US' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'The list of virtual currency packages was successfully received.
Unique item ID. The SKU may only contain lowercase Latin alphanumeric characters, periods, dashes, and underscores.
Groups the item belongs to.
List of attributes and their values corresponding to the Game.
Unique attribute ID. The external_id may only contain lowercase Latin alphanumeric characters, dashes, and underscores.
Type of bundle: standard/virtual_currency_package.
Image URL.
Item prices.
Default purchase currency. Three-letter code per ISO 4217.
Virtual prices.
Virtual currency package content.
Unique item ID. The SKU may only contain lowercase Latin alphanumeric characters, dashes, and underscores.
Type of item: virtual_good/virtual_currency/bundle.
Image URL.
Defines the inventory item options.
Defines the consumable properties if this is a consumable item, or null if this is a non-consumable item.
{ "items": [ { … }, { … } ] }
Request
Gets an items list from the specified group for building a catalog.
Number of the element from which the list is generated (the count starts from 0).
The list of additional fields. These fields will be in the response if you send them in your request. Available fields media_list, order, long_description.
Country to calculate regional prices and restrictions for catalog. Two-letter uppercase country code per ISO 3166-1 alpha-2. If you do not specify the country explicitly, it will be calculated based on user's IP address.
- https://store.xsolla.com/api/v2/project/{project_id}/items/virtual_items/group/{external_id}
- Mock serverhttps://xsolla.redocly.app/_mock/api/digital-distribution-hub/v2/project/{project_id}/items/virtual_items/group/{external_id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://store.xsolla.com/api/v2/project/44056/items/virtual_items/group/{external_id}?limit=50&offset=0&locale=en&additional_fields%5B%5D=string&country=US' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'The list of items from the specified group was successfully received.
Unique item ID. The SKU may only contain lowercase Latin alphanumeric characters, periods, dashes, and underscores.
Groups the item belongs to.
List of attributes and their values corresponding to the Game.
Unique attribute ID. The external_id may only contain lowercase Latin alphanumeric characters, dashes, and underscores.
Type of item: consumable/expiration/permanent/lootboxes/physical.
Image URL.
Item prices.
Default purchase currency. Three-letter code per ISO 4217.
Virtual prices.
Defines the inventory item options.
Defines the consumable properties if this is a consumable item, or null if this is a non-consumable item.
{ "items": [ { … }, { … } ] }
- https://store.xsolla.com/api/v2/project/{project_id}/items/groups
- Mock serverhttps://xsolla.redocly.app/_mock/api/digital-distribution-hub/v2/project/{project_id}/items/groups
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
https://store.xsolla.com/api/v2/project/44056/items/groups \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'The list of groups was successfully received.
Child groups.
Child groups.
{ "groups": [ { … }, { … }, { … }, { … }, { … }, { … }, { … }, { … } ] }